Opened 6 years ago

Closed 5 years ago

#22895 closed enhancement (wontfix)

upgrade numpy to 1.12.1

Reported by: Dima Pasechnik Owned by:
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: packages: standard Keywords:
Cc: François Bissey, Jeroen Demeyer Merged in:
Authors: Reviewers: Travis Scrimshaw
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description (last modified by Dima Pasechnik)

this removes one of our patches, has more vectorisation, and in view of work on #22799 it's better to work with the latest release, to be in sync with numpy devs.

the tarball is here - more precisely it's a zip file.

Change History (7)

comment:1 Changed 6 years ago by Dima Pasechnik

Description: modified (diff)

a branch is coming in a minute

comment:2 Changed 6 years ago by Dima Pasechnik

Authors: Dima Pasechnik
Branch: u/dimpase/numpy1121
Commit: 010214aec80f2bd6ed5d95be61acca3ec9884582

New commits:

010214aupdate to version 1.12.1

comment:3 Changed 6 years ago by Dima Pasechnik

Cc: Jeroen Demeyer added
Status: newneeds_review

comment:4 Changed 6 years ago by John Palmieri

The upgrade to numpy is included as part of #22582, which is already positively reviewed. So I propose to close this as a duplicate.

comment:5 Changed 6 years ago by Travis Scrimshaw

Authors: Dima Pasechnik
Branch: u/dimpase/numpy1121
Commit: 010214aec80f2bd6ed5d95be61acca3ec9884582
Milestone: sage-8.0sage-duplicate/invalid/wontfix
Reviewers: Travis Scrimshaw
Status: needs_reviewpositive_review

I concur.

comment:6 Changed 6 years ago by Dima Pasechnik

sure, no problem --- finding out that #22582 does a numpy update wasn't really possible.

comment:7 Changed 5 years ago by Erik Bray

Resolution: wontfix
Status: positive_reviewclosed

Closing tickets in the sage-duplicate/invalid/wontfix module with positive_review (i.e. someone has confirmed they should be closed).

Note: See TracTickets for help on using tickets.